Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228304 - avc: denied { associate } for comm="cp" egid=0 euid=0 exe="/bin/cp"
Summary: avc: denied { associate } for comm="cp" egid=0 euid=0 exe="/bin/cp"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 16:18 UTC by ericm24x7
Modified: 2008-04-22 16:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-22 16:13:27 UTC


Attachments (Terms of Use)
selinux log file (deleted)
2007-02-12 16:18 UTC, ericm24x7
no flags Details

Description ericm24x7 2007-02-12 16:18:08 UTC
Description of problem:
receiving an avc denial when running "cp -av" to copy an entire iso image to
another directory for customization.

Version-Release number of selected component (if applicable):
coreutils-6.7-3.fc7 [application]
selinux-policy-2.5.2-2.fc7

How reproducible:
persistent

Steps to Reproduce:
1. mount an ISO image file
   i.e.
   mount -o loop dvdimage.iso /mnt
2. mkdir ~/test ; cd 
3. cp -av /mnt/* ~/test
  
Actual results:
`/mnt/autorun.apm' -> `test/autorun.apm'
cp: cannot create regular file `test/autorun.apm': Permission denied

Expected results:
Should proceed without AVC denial

Additional info:
see attached file for detailed selinux log

Comment 1 ericm24x7 2007-02-12 16:18:08 UTC
Created attachment 147908 [details]
selinux log file

Comment 2 Daniel Walsh 2007-03-20 15:04:19 UTC
This is a proposal and upstream is working on changing the behaviour of cp to
handle this problem

Comment 3 Bug Zapper 2008-04-03 19:06:02 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 ericm24x7 2008-04-22 16:13:27 UTC
Resolved in FC8 and FC9 rawhide


Note You need to log in before you can comment on or make changes to this bug.